MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000451ardourbugspublic2004-05-15 18:352012-06-24 06:37
Reportertito 
Assigned Tocth103 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0000451: Varispeed does not respect looping/locate
DescriptionWhen I change playback speed in loop mode (varispeed = wheel) transport stops at the end of the session. Same goes for locate. It would -- at least to me -- feel more natural if wheel/transport would stay where I put it. And it should loop of course. Well, I'm not even sure if this is supposed to be a feature ... enlightenment someone?
Additional Informationcvs tarball 05/15/2004
TagsNo tags attached.
Attached Files

- Relationships
related to 0004541resolvedpaul Wheel mode playback speed ignored after locate 
child of 0001334new Varispeed design issues 

-  Notes
(0002814)
atreju (updater)
2006-11-19 10:32
edited on: 2006-11-19 10:53

The behaviour is the same for ardour 2.0 svn rev 1137.

there are various issues here (maybe it should be listed in more than one bug)

- press play, change speed --> transport plays till the end of the session and speed is set back to normal.
- change speed when stopped --> transport starts to roll, but the stop button is still highlighted (instead of the play button)
- press play, change speed, move the transport bar --> transport is relocated but speed is reset to one.

the loop seems to be a bug, the rest looks like some behaviour that needs some talk.

in my opinion, when set to wheel mode, varispeed should retain the setting.

(0002815)
atreju (updater)
2006-11-19 10:57

Various related issues have been reported. bug 1334 is their parent.

they have been split since they don't have the same severity.
(0007704)
cth103 (administrator)
2010-05-01 13:08

I'm not sure I quite understand what bug this is referring to. Can you clarify? Is it still an issue?
(0013648)
mikkl (reporter)
2012-06-21 03:31

I, too, can confirm that this is not the behaviour u would expect.
Yesterday i wanted to show a bandmate something in a loop with the tempo decreased (shuttle speed control in wheel mode). But everytime the loops begins from anew speed control changes back to 100%. Same is with relocating. I don't see a reason why it should jump back. Maybe the current behaviour is thought to be an easy reset to 100% when you relocate. But then at least while looping this behaviour is not wanted.
(0013659)
paul (administrator)
2012-06-22 07:30

this is fixed in rev 12818.

- Issue History
Date Modified Username Field Change
2004-05-15 18:35 tito New Issue
2004-05-15 18:35 tito email => tito@rumford.de
2006-11-19 10:24 atreju Priority urgent => normal
2006-11-19 10:24 atreju Status new => feedback
2006-11-19 10:32 atreju Note Added: 0002814
2006-11-19 10:35 atreju Note Edited: 0002814
2006-11-19 10:40 atreju Relationship added related to 0001089
2006-11-19 10:52 atreju Relationship added child of 0001334
2006-11-19 10:52 atreju Relationship deleted related to 0001089
2006-11-19 10:53 atreju Note Edited: 0002814
2006-11-19 10:55 atreju Severity tweak => feature
2006-11-19 10:57 atreju Note Added: 0002815
2007-02-15 14:05 taybin Status feedback => acknowledged
2010-05-01 13:08 cth103 Note Added: 0007704
2010-05-01 13:08 cth103 Status acknowledged => feedback
2010-07-22 07:35 oofus cost => 0.00
2010-07-22 07:35 oofus Target Version => 3.X
2012-06-21 03:31 mikkl Note Added: 0013648
2012-06-22 07:30 paul Note Added: 0013659
2012-06-22 07:31 paul Relationship added related to 0004541
2012-06-24 06:37 cth103 Status feedback => resolved
2012-06-24 06:37 cth103 Resolution open => fixed
2012-06-24 06:37 cth103 Assigned To => cth103


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker